/***************************************************************************
 *                                                                         *
 *   cad/cadentitycontainer.h                                              *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__CADENTITYCONTAINER_H
#define CAD__CADENTITYCONTAINER_H

#include "cadentity.h"
#include "cadlayerlist.h"
#include "cadlinetypelist.h"

namespace cad
{
	/**
	 * CADEntityContainer contains a list of entities
	 * @author Christoph Permes
	 */
	class CADEntityContainer
	{
	public:
		/** Create an empty CADEntityContainer */
		CADEntityContainer();
		/** Destructor */
		virtual ~CADEntityContainer();
	
	protected:
		vector<CADEntity*> entities;
	
	};
}

#endif // CAD__CADENTITYCONTAINER_H
