/***************************************************************************
 *                                                                         *
 *   cad/cadlayer.cpp                                                      *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cadlayer.h"

using namespace cad;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/**
 * Constructor
 * Create a layer with the given attributes
 */
CADLayer::CADLayer(QString name, CADPen pen, bool frozen, bool locked)
{
	// TODO: name and linetype can't be BYLAYER or BYBLOCK
	setName(name);
	setPen(pen);
	setFrozen(frozen);
	setLocked(locked);
}

/** Destructor */
CADLayer::~CADLayer()
{

}

// EOF
