/***************************************************************************
 *                                                                         *
 *   cad/cadpoint.cpp                                                      *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cadpoint.h"

using namespace cad;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

CADPoint::CADPoint(QString layer, double x, double y)
{
	this->x = x;
	this->y = y;
}

CADPoint::~CADPoint()
{

}

/***************************************************************************
 * Get/Set Methods                                                         *
 ***************************************************************************/

double CADPoint::getX() const
{
	return x;
}

double CADPoint::getY() const
{
	return y;
}

void CADPoint::set(double x, double y)
{
	this->x = x;
	this->y = y;
}

void CADPoint::setX(double x)
{
	this-> x = x;
}

void CADPoint::setY(double y)
{
	this->y = y;
}

// EOF
