/***************************************************************************
 *                                                                         *
 *   cad/cadentity.cpp                                                     *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cadentity.h"

using namespace cad;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/**
 * Constructor
 * Create a CADEntity with the given layer and pen
 */
CADEntity::CADEntity(QString layer, CADPen pen)
{
	setLayer(layer);
	setPen(pen);
}

/** Destructor */
CADEntity::~CADEntity()
{

}

// EOF
